# Checkmk-Synology
In diesem Tutorial möchten wir über das SNMP-Protokoll der Version3 ein Synology Network Attached Storage überwachen. SNMPv3 benötigt im Gegensatz zu den Vorgängern mehr Rechenzeit vor allem auf dem überwachten Gerät selbst und ist auch etwas komplexer einzurichten, dafür ist aber das Mitlesen, wie es bei Version 1 und 2 der Fall ist, nicht mehr so ohne weiteres möglich.




Vorbereitung
– Checkmk ist bereits vorinstalliert und mindestens eine Instanz wurde erstellt und gestartet
– ein zu überwachendes Netzwerkgerät, dass das SNMPv3-Protokoll unterstützt ist bereits vorhanden (hier ein NAS-System)




für einen SNMPv3-Test mit einem SNMP-fähigen Netzwerkgerät verwende ich ein Synology-NAS System. Um dieses später sicher mit Checkmk überwachen zu können, müssen jedoch noch diverse Einstellungen auf dem NAS selbst vorgenommen werden.
Loggen Sie sich dazu auf der Weboberfläche des NAS-Systems ein
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/01.png"  /></p>




wählen Sie die Systemsteuerung aus
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/02.png"  /></p>




Klicken Sie auf Erweiterter Modus >
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/03.png"  /></p>




Ihnen wird nun die Funktion Terminal & SNMP angezeigt, klicken Sie darauf
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/04.png"  /></p>




wählen Sie nun die Karteikarte SNMP,
und passen Sie die folgenden Einstellungen für die NAS-Überwachung über SNMPv3 an:

Markieren Sie SNMP-Service aktivieren,

SNMPv3 Dienst aktivieren,
legen Sie ein Benutzernamen und sicheres Passwort fest, dass Sie später auf dem Checkmk-Server verwenden möchten
und wählen Sie das Protokoll SHA aus

SNMP-Privatsphäre aktivieren,
legen Sie hier ebenfalls ein sicheres Passwort fest, dass Sie später auf dem Checkmk-Server verwenden möchten
und wählen Sie das Protokoll AES aus

Tragen Sie nun noch die SNMP-Geräteinformationen ein, damit diese auch später in Checkmk ausgegeben werden
und klicken Sie auf Übernehmen
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/05.png"  /></p>




Anders als bei einem Windows bzw. Linux-System benötigen wir für SNMP keinen zusätzlichen Agenten,
wir wechseln also direkt auf die WATO-Weboberfläche unseres Checkmk-Servers,
klicken Sie auf das Zahnrad und wählen Sie Hosts
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/06.png"  /></p>




wählen Sie den Standort des zu überwachenden Systems
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/07.png"  /></p>




in unserem Fall handelt es sich um ein NAS
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/08.png"  /></p>




hier tragen wir nun das zu überwachende NAS ein mit klick auf auf Erzeuge neuen Host
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/09.png"  /></p>




die nun folgenden Konfigurationen sind die wichtigsten,
hier tragen wir nun alle wichtigen Informationen wie Hostname und IP-Adresse des zu überwachenden Systems ein, damit es später zu keiner Fehlermeldung kommt, dass der Checkmk-Agent nicht erreichbar ist, stellen wir die Option um auf No agent.

Kümmern wir uns nun noch um die SNMPv3-Einstellungen, wählen Sie SNMP v2 or V3 aus,
bei SNMP-Zugangsdaten wählen Sie Anmeldedaten für SNMPv3 mit Authentifizierung und Privacy (authPriv) aus.
Authentifizierungsprotokoll: SHA-1 (SHA-96)
Sicherheitsname: tragen Sie hier den auf dem NAS festgelegten Benutzernamen für den SNMPv3-Dienst ein
Authentifizierungspasswort: tragen Sie hier den auf dem NAS festgelegten Passwort für den SNMPv3-Dienst ein
Privatsphären Protokoll: AES-128
Privatsphären Passphrase: tragen Sie hier den auf dem NAS festgelegten Passwort für die SNMP-Privatsphäre ein

Wenn Sie vorab prüfen wollen ob die SMTP-Verbindung erfolgreich ist, wählen Sie die Option Speichern & zu den Verbindungstests gehen aus, hier können Sie sofort sehen ob eine Verbindung zu Stande kommt oder ob doch noch Anpassungen gemacht werden müssen.

Wenn Sie sich sicher sind, dass alles passt klicken Sie dann auf Speichern & zur Servicekonfiguration gehen
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/10.png"  /></p>




sie werden nun in die Serviceübersicht von Checkmk für den zu überwachenden Switch weitergeleitet, wo nun die gesamte Liste der automatisch abgefragten Checks angezeigt wird, in unserem Fall sind es 61 Dienste die wir überwachen können, nach dem markieren der Dienste die Sie überwachen möchten klicken Sie auf Überwache unentschiedene Services
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/11.png"  /></p>




Um die von Ihnen vorgenommen Änderungen zu aktivieren klicken Sie oben rechts auf Änderungen bei dem gelben Ausrufezeichen
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/12.png"  /></p>




hier aktivieren wir nun final alle zuletzt durchgeführten Anpassungen für die gewünschten Instanzen,
klicken Sie dazu auf Auf ausgewählten Instanzen aktivieren, in unserem Fall besteht nur die eine Instanz01
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/13.png"  /></p>

ab sofort werden die von Ihnen ausgewählten Dienste mit Checkmk überwacht und auf der WATO-Weboberfläche angezeigt. Sollte sich der Status ändern wird dies entsprechen wir folgt ausgegeben OK / WARNING / CRITICAL und UNKNOWN.

Sie habe natürlich alternative Möglichkeiten zur Weboberfläche bei Statusänderungen benachrichtigt zu werden, z.B. per E-Mail.

Auf der Weboberfläche haben Sie auch die Möglichkeit, das Überwachungsverhalten der Checks an Ihre Wünsche anzupassen,
so können Sie z.B. selbst festlegen wann und an wen eine bestimmte Benachrichtigung weitergeleitet werden soll, ausführlichere Informationen dazu finden Sie auf der offiziellen Checkmk-Webseite
<p><img src="https://git.viper.ipv64.net/M_Viper/Checkmk-Synology/raw/branch/main/14.png"  /></p>